0

1) ./configure --prefix=$HOME/.packages --with-readline-dir=$HOME/.packages
2) configure: WARNING: unrecognized options: --with-readline-dir

I am trying to setup the most up-to-date version of Ruby on my webhost (I do not have sudo access). Line 1 is the configure command I used for Ruby and Line 2 is the first printed line after executing 'configure'. I've googled this issue and found other people with the same problem but there aren't any real solutions. There are no warnings or errors when configuring/compiling readline-6.1. I am pretty stumped, any help/insight would be greatly appreciated. Thanks ahead of time.

0

What does ./configure --help shows about --with-readline-dir ?

You cant try to add --disable-option-checking to your command line.

Can You consider to stick with an earlier version of ruby (maybe 1.8.7)

Furthermore, to make the debug easier I would suggest you to put your configure command line into a shell script called configure.sh. This way you can quickly add changes to It and run again the configure.sh script

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.